<?xml version="1.0" encoding="iso-8859-1"?>
<set>
<url>http://c.actiondesk.com/?s=YOUR_ID&amp;p=21&amp;pp=1&amp;g=7329</url>
<modelname>Sofia Rivers</modelname>
<setname>Don't Care About The Dust</setname>
<hair>RED HAIR</hair>
<categories>Costume, High Heels, Maid, Naked Feet, Pole Dance Skills, Porn Star, Shaved, Skirts</categories>
<country>UKRAINE</country>
<city>Kremenchuk</city>
<type>European</type>
<age>24</age>
<height>5.64</height>
<weight>123</weight>
<bio>Playful girl with a dirty sense of humor - This is how Sofia Rivers describes herself.

Sofia is from Ukraine, where she was born. She\'s a performer like few others: confident, free-spirited, enthusiastic in all circumstances, and playful.

Everything about her exudes desire: her long, silky red hair, her alluring poses, the intentions that shine through in her smoldering gaze. Just a glance at the vastness of her online communities is enough to understand how exceptional this young woman is!

Eager for new experiences, she dreamed of filming with Dolly Dyson. We made her dream come true, which gave her even more erotic power to film her solos!

Without a doubt, one of iStripper\'s most beautiful adventures!</bio>
<stats>34/26/36</stats>
</set>